#!/bin/bash
#Pstart=1.7
#Pstart=85.0
T=(0.1 0.113 0.126 0.139 0.152 0.16 0.2 0.25 0.4 0.5 0.6 0.7 0.8 0.9 1.0)
steps=43200000
#bin=(100 100 100 150 150 150 200 250 500 800 1000 1800 2000 2200 2400 2800)

n=${#T[@]}

for i in `seq 0 $(($n-1))`;do
	Ti=${T[i]}
	Pstart=$(head -n $(($i+1)) ../../T3_newPressures_2.txt | tail -n1)
	echo $Pstart
	# Directories already exists, just need to create NPT_1 for hcp and NPT_2 for fcc
	cd Temp_$Ti
	
	lines=$(grep -Fn 'hcp-fcc' CONFIG | tail -n1 | awk -F ':' '{print $1}')
	#echo "lines :" $lines	
	i2=$lines
	#echo "i2 :" $i2
	i1=$(($i2-1))
	#echo "i1 :" $i1
	cp REVCON.000 REVCON_save
	
	mkdir NPT_1
	mkdir NPT_2
	
	cp FIELD NPT_1/
	sed -i '' -e 's/NCONFIGS.*/NCONFIGS 1/g' NPT_1/FIELD
	cp ../../../CONTROL_NPT NPT_1/CONTROL
	sed -i '' -e "s/temperature .*/temperature $Ti/g" NPT_1/CONTROL
	sed -i '' -e "s/pressure .*/pressure $Pstart/g" NPT_1/CONTROL
	head -n $i1 REVCON.000 > NPT_1/CONFIG
	
	cp FIELD NPT_2/
	sed -i '' -e 's/NCONFIGS.*/NCONFIGS 1/g' NPT_2/FIELD
	cp ../../../CONTROL_NPT NPT_2/CONTROL 
	sed -i '' -e "s/temperature .*/temperature $Ti/g" NPT_2/CONTROL
	sed -i '' -e "s/pressure .*/pressure $Pstart/g" NPT_2/CONTROL
	tail -n+$i2 REVCON.000 > NPT_2/CONFIG
	
	cd ..
done
